List gateway instances cores of all gateway groups
GET /api/instances/cores
GET /api/instances/coresInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/instances/cores"Successfully retrieved the current data plane core count.
{
"value": {
"current_dp_cores": 1,
"current_non_production_dp_cores": 1
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/instances/cores
List gateway instances cores of all gateway groups
IAM Action: gateway:GetGatewayInstanceCore, Resource: arn:api7:gateway:gatewaygroup/*
Parameters
Responses
200: Successfully retrieved the current data plane core count.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.current_dp_cores(integer, optional): The number of current data plane cores in production gateway groups, summed over the connected gateway instances (statusHealthyorOutOfSync) running in standard mode. Read it against the licensemax_dp_cores.value.current_non_production_dp_cores(integer, optional): The same count for the instances in non-production gateway groups. Read it against the licensemax_non_production_dp_cores.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/instances/cores'